<?php if (!defined('ABSPATH')) {
	die;
} // Cannot access directly.
/**
 *
 * Field: Shortcode
 *
 * @since 2.0
 * @version 2.0
 */
if (!class_exists('EVS_Field_shortcode')) {
	class EVS_Field_shortcode extends EVS_Fields
	{

		public function __construct($field, $value = '', $unique = '', $where = '', $parent = '')
		{
			parent::__construct($field, $value, $unique, $where, $parent);
		}

		public function render()
		{

			$type = (!empty($this->field['attributes']['type'])) ? $this->field['attributes']['type'] : 'text';
			global $post;
			$postid = $post->ID;
			echo (!empty($postid)) ? '<div class="evs-shortdcode-wrapper">
			<div class="evs-col-lg-3">
				<div class="evs-scode-content">
					<h2 class="evs-sc-title">Shortcode</h2>
					<div class="evs-after-copy-text"><i class="fa fa-check-circle"></i>  Shortcode  Copied to Clipboard! </div>
					<p>Copy and paste this shortcode into your posts or pages:</p>
					<div class="shortcode-wrap">
					<div class="evs-shcode-selectable">[event_venue id="' . esc_attr($postid) . '"] </div>
					</div>
				</div>
			</div>
			<div class="evs-col-lg-3">
				<div class="evs-scode-content">
					<h2 class="evs-sc-title">Template Include</h2>
					<p>Paste the PHP code into your template file:</p>
					<div class="shortcode-wrap">
					<span class="evs-shcode-selectable">&lt;?php echo do_shortcode(\'[event_venue id="' . esc_attr($postid) . '"]\'); ?&gt;
					</span>
					</div>
				</div>
			</div>
		</div>' : '';
		}
	}
}
