;(function( $, window ) {
  'use strict';

/*  Keep the accordion field's first item opened */
$(window).load(function () {
  $('.evs-opened-accordion').each(function () {
    if (!$(this).hasClass('hidden')) {
      $(this).addClass('evs_saved_filter')
    }
  })
})
$('.evs-field-checkbox.evs_advanced_filter').change(function (event) {
  $('.evs-opened-accordion').each(function () {
    if ($(this).hasClass('hidden')) {
      $(this).removeClass('evs_saved_filter')
    } else {
      $(this).addClass('evs_saved_filter')
    }
    if (!$(this).hasClass('evs_saved_filter')) {
      if (
        $(this)
          .find('.evs-accordion-title')
          .siblings('.evs-accordion-content')
          .hasClass('evs-accordion-open')
      ) {
        $(this).find('.evs-accordion-title')
      } else {
        $(this)
          .find('.evs-accordion-title')
          .trigger('click')
        $(this)
          .find('.evs-accordion-content')
          .find('.evs-cloneable-add')
          .trigger('click')
      }
    }
  })
})

})( jQuery, window, document );