(function ($) {
  "use strict";
  /**
   * JavaScript code for admin dashboard.
   *
   */

  $(function () {
    /* Copy to clipboard */
    $(".evs-shcode-selectable").on("click", function (e) {
      e.preventDefault();
      evs_copyToClipboard($(this));
      evs_SelectText($(this));
      $(this).trigger("focus").select();
      $(".evs-after-copy-text").animate(
        {
          opacity: 1,
          bottom: 25,
        },
        300
      );
      setTimeout(function () {
        jQuery(".evs-after-copy-text").animate(
          {
            opacity: 0,
          },
          200
        );
        jQuery(".evs-after-copy-text").animate(
          {
            bottom: 0,
          },
          0
        );
      }, 2000);
    });
    $('.evs_input').on('click',function (e) {
      e.preventDefault();
      /* Get the text field */
      var copyText = $(this);
      /* Select the text field */
      copyText.select();
      document.execCommand("copy");
      $('.evs-after-copy-text').animate({
        opacity: 1,
        bottom: 25
      }, 300);
      setTimeout(function () {
        jQuery(".evs-after-copy-text").animate({
        opacity: 0,
        }, 200);
        jQuery(".evs-after-copy-text").animate({
        bottom: 0
        }, 0);
      }, 2000);
      });
    function evs_copyToClipboard(element) {
      var $temp = $("<input>");
      $("body").append($temp);
      $temp.val($(element).text()).select();
      document.execCommand("copy");
      $temp.remove();
    }
    function evs_SelectText(element) {
      var r = document.createRange();
      var w = element.get(0);
      r.selectNodeContents(w);
      var sel = window.getSelection();
      sel.removeAllRanges();
      sel.addRange(r);
    }
  });
})(jQuery);
