<?php

/**
 * The frontend facing venue website file.
 *
 * The output HTML for the website of venue.
 *
 * @link       https://themeatelier.net
 * @since      1.0.0
 *
 * @package event-venue-showcase
 * @subpackage event-venue-showcase/Frontend/templates/venue
 * @author     ThemeAtelier<themeatelierbd@gmail.com>
 */

$venue_website = tribe_get_venue_website_url($venue->ID);

if($venue_website) {
echo '<div class="evs_website">';
echo '<i class="' . esc_attr($website_icon) . '"></i>';
echo '<a href="' . esc_url($venue_website) . '" target="_blank">' . esc_html($website_text) . '</a>';
echo '</div>';
}